Loading...
Searching...
No Matches
Catch::Generators::MapGenerator< T, U, Func > Class Template Referencefinal

`#include <catch_amalgamated.hpp>`

Inheritance diagram for Catch::Generators::MapGenerator< T, U, Func >:
[legend]
Collaboration diagram for Catch::Generators::MapGenerator< T, U, Func >:
[legend]

## Public Member Functions

template<typename F2 = Func>
| MapGenerator (F2 &&function, GeneratorWrapper< U > &&generator)
T const & | get () const override
bool | next () override
Public Member Functions inherited from Catch::Generators::GeneratorUntypedBase
| GeneratorUntypedBase ()=default
| GeneratorUntypedBase (GeneratorUntypedBase const &)=default
GeneratorUntypedBase & | operator= (GeneratorUntypedBase const &)=default
virtual | ~GeneratorUntypedBase ()
bool | countedNext ()
std::size_t | currentElementIndex () const
StringRef | currentElementAsString () const

## Private Attributes

GeneratorWrapper< U > | m_generator
Func | m_function
T | m_cache

## Additional Inherited Members

Public Types inherited from Catch::Generators::IGenerator< T >
using | type = T

## Constructor & Destructor Documentation

## MapGenerator()

template<typename T, typename U, typename Func>
template<typename F2 = Func>

Catch::Generators::MapGenerator< T, U, Func >::MapGenerator | ( | F2 && | function,
|  | GeneratorWrapper< U > && | generator )

inline

Here is the call graph for this function:

## Member Function Documentation

## get()

template<typename T, typename U, typename Func>

T const & Catch::Generators::MapGenerator< T, U, Func >::get | ( |  | ) | const

inlineoverridevirtual

Implements Catch::Generators::IGenerator< T >.

Here is the caller graph for this function:

## next()

template<typename T, typename U, typename Func>

bool Catch::Generators::MapGenerator< T, U, Func >::next | ( |  | ) |

inlineoverridevirtual

Attempts to move the generator to the next element

Returns true iff the move succeeded (and a valid element can be retrieved).

Implements Catch::Generators::GeneratorUntypedBase.

## Member Data Documentation

## m_cache

template<typename T, typename U, typename Func>

T Catch::Generators::MapGenerator< T, U, Func >::m_cache

private

## m_function

template<typename T, typename U, typename Func>

Func Catch::Generators::MapGenerator< T, U, Func >::m_function

private

## m_generator

template<typename T, typename U, typename Func>

GeneratorWrapper<U> Catch::Generators::MapGenerator< T, U, Func >::m_generator

private

The documentation for this class was generated from the following file:

- tests/vendor/catch_amalgamated.hpp